
window.onload = function () {
	// 获取地址栏参数
	function getAllUrlParams(url) {
	    // 获取URL中的查询字符串？后面的部分
	    var queryString = url ? url.split('?')[1] : window.location.search.slice(1);
	    // 解析查询字符串为键值对
	    var obj = {};
	    if (queryString) {
	        queryString = queryString.split('#')[0]; // 去除URL中的hash
	        var arr = queryString.split('&');
	        for (var i = 0; i < arr.length; i++) {
	            var a = arr[i].split('=');
	            var paramName = a[0];
	            var paramValue = a[1];
	            // 解码参数值
	            paramValue = paramValue ? decodeURIComponent(paramValue.replace(/\+/g, ' ')) : undefined;
	            // 如果参数已经存在，则转化为数组
	            if (obj[paramName]) {
	                if (typeof obj[paramName] === 'string') {
	                    obj[paramName] = [obj[paramName]];
	                }
	                obj[paramName].push(paramValue);
	            } else {
	                obj[paramName] = paramValue;
	            }
	        }
	    }
	    return obj;
	}
	let allParams = getAllUrlParams(window.location.href);
	var params = JSON.parse(decodeURIComponent(allParams.data));
    var payment = params.payment;
    var system = params.system;
    var orderNo = params.orderNo;
	var platform = params.platform;
	var ip = params.ip;
	var fromPath = params.fromPath;
	var backUrl = allParams.backUrl;
	var timeTime = null;
	let config = {
	  headers: {
		'channel': params.channel,
		'cparam': params.cparam,
		'bd-vid': params.bd_vid
	  }
	};
	
    document.getElementById(payment + 'Btn').style.display = 'block';
    document.getElementById(system + 'Logo').style.display = 'block';
	// 支付按钮点击
	document.getElementById(payment + 'Btn').addEventListener('click', function(){
		payFn()
	})
	// 返回按钮点击
	document.getElementById("backBtn").addEventListener('click', function(){
		if(!window.localStorage.getItem('token')) {
			window.location.href = window.location.origin + '/#'
		} else {
			window.location.href =  window.location.origin + fromPath;
		}
	})
	if(!backUrl) {
		if(payment == 'WECHAT') {
			payFn();
		} else {
			let ua = navigator.userAgent.toLowerCase();
			let isWeixin = ua.indexOf('micromessenger') != -1;
			if(isWeixin) {
				document.getElementById("backBtn").style.display = 'none';
				document.getElementById('loading').style.display = 'none';
				if(fromPath == '#/pages/mine/wallet/index') {
					checkWallwtPay();
				} else {
					checkOrderPay();
				}
			} else {
				payFn()
			}
		}
		
	} else {
		document.getElementById('loading').style.display = 'none';
		if(fromPath == '#/pages/mine/wallet/index') {
			checkWallwtPay();
		} else {
			checkOrderPay();
		}
	}
	function payFn() {
		// 判断是下单还是充值
		if(fromPath == '#/pages/mine/wallet/index') {
			// 请求接口
			axios.get(ip + '/wallet/rechargePay?orderNo=' + orderNo, config).then(function (res) {
				document.getElementById('loading').style.display = 'none';
				if(res.data.code == '200') {
					var data = res.data.data;
					if(payment == 'WECHAT') {
						if(data.h5Url.indexOf('weixin://dl') >= 0) {
							window.location.href = data.h5Url;
						} else {
							var redirect_url = ''
							if(!backUrl) {
								redirect_url = window.location.href + '&backUrl=true';
							} else {
								redirect_url = window.location.href;
							}
							var url = (data.h5Url+ '&redirect_url=' + encodeURIComponent(redirect_url))
							window.location.href = url;
						}
					}
				}
			})
			.catch(function (error) {
				console.log(error);
			});
		} else {
			// 请求接口
			axios.post(ip + '/order/orderPay',{
				orderNo: orderNo,
				payment: payment,
				platform: platform
			}, config).then(function (res) {
				document.getElementById('loading').style.display = 'none';
				if(res.data.code == '200') {
					var data = res.data.data;
					if(payment == 'WECHAT') {
						if(data.h5Url.indexOf('weixin://dl') >= 0) {
							window.location.href = data.h5Url;
						} else {
							var redirect_url = ''
							if(!backUrl) {
								redirect_url = window.location.href + '&backUrl=true';
							} else {
								redirect_url = window.location.href;
							}
							var url = (data.h5Url+ '&redirect_url=' + encodeURIComponent(redirect_url))
							window.location.href = url;
						}
					}
				}
			})
			.catch(function (error) {
				console.log(error);
			});
		}
	};
	// 获取订单支付状态
	function checkOrderPay() {
		axios.get(ip + '/order/checkOrderPay?orderNo=' + orderNo, config).then((res) => {
			if(res.data.code == '200') {
				var data = res.data.data;
				if(data.payStatus == 1) {
					document.getElementById(payment + 'Btn').style.display = 'none';
					document.getElementById('endPay').style.display = 'block';
					clearInterval(timeTime);
					timeTime = null;
					// 判断是不是微信中打开
					if(window.localStorage.getItem('token')) {
						window.location.href = window.location.origin + '/#/pages/order/orderPayResult?orderNo='+ orderNo 
					}
				} else {
					timeGet();
				}
			}
		})
	};
	// 查询充值状态
	function checkWallwtPay() {
		axios.get(ip + '/wallet/checkRecharge?orderNo=' + orderNo, config).then((res) => {
			if(res.data.code == '200') {
				var data = res.data.data;
				if(data.payStatus == 1) {
					document.getElementById(payment + 'Btn').style.display = 'none';
					document.getElementById('endPay').style.display = 'block';
					clearInterval(timeTime);
					timeTime = null;
					// 判断是不是微信中打开
					if(window.localStorage.getItem('token')) {
						window.location.href = window.location.origin + '/#/pages/mine/wallet/index'
					}
				} else {
					timeGet();
				}
			}
		})
	};
	// 轮询
	function timeGet() {
		if (!timeTime) {
			timeTime = setInterval(() => {
				if(fromPath == '#/pages/mine/wallet/index') {
					checkWallwtPay();
				} else {
					checkOrderPay();
				}
			}, 3000)
		}
	}
};